Loading...
Searching...
No Matches
psa_hkdf_key_derivation_t Struct Reference

`#include <crypto_struct.h>`

Collaboration diagram for psa_hkdf_key_derivation_t:
[legend]

## Data Fields

uint8_t * | info
size_t | info_length
uint8_t | offset_in_block
uint8_t | block_number
unsigned int | state: 2
unsigned int | info_set: 1
uint8_t | output_block [PSA_HASH_MAX_SIZE]
uint8_t | prk [PSA_HASH_MAX_SIZE]
struct psa_mac_operation_s | hmac

## Detailed Description

Definition at line 157 of file crypto_struct.h.

## Field Documentation

## block_number

uint8_t psa_hkdf_key_derivation_t::block_number

Definition at line 164 of file crypto_struct.h.

## hmac

struct psa_mac_operation_s psa_hkdf_key_derivation_t::hmac

Definition at line 169 of file crypto_struct.h.

## info

uint8_t* psa_hkdf_key_derivation_t::info

Definition at line 158 of file crypto_struct.h.

## info_length

size_t psa_hkdf_key_derivation_t::info_length

Definition at line 159 of file crypto_struct.h.

## info_set

unsigned int psa_hkdf_key_derivation_t::info_set

Definition at line 166 of file crypto_struct.h.

## offset_in_block

uint8_t psa_hkdf_key_derivation_t::offset_in_block

Definition at line 163 of file crypto_struct.h.

## output_block

uint8_t psa_hkdf_key_derivation_t::output_block[PSA_HASH_MAX_SIZE]

Definition at line 167 of file crypto_struct.h.

## prk

uint8_t psa_hkdf_key_derivation_t::prk[PSA_HASH_MAX_SIZE]

Definition at line 168 of file crypto_struct.h.

## state

unsigned int psa_hkdf_key_derivation_t::state

Definition at line 165 of file crypto_struct.h.

The documentation for this struct was generated from the following file:

- crypto_struct.h